package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblemType;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 题型分类-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewQuestionnaireProblemTypeService {

    Result queryPageList(ReviewQuestionnaireProblemType reviewQuestionnaireProblemType, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewQuestionnaireProblemType reviewQuestionnaireProblemType, AccessToken accessToken);

    Result edit(ReviewQuestionnaireProblemType reviewQuestionnaireProblemType, AccessToken accessToken);

    Result del(Integer id);
}